Subject: Re: bug#68929: [PATCH] Copy which-key from GNU ELPA into core

From: Jeremy Bryant <[email-masked]>
Date: Thu, 08 Feb 2024 22:27:58 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Jeremy Bryant <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Wed, 07 Feb 2024 22:01:05 +0000
>> 
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> > Two spaces between sentences in comments and doc strings, here and
>> > elsewhere.
>> 
>> OK.  Related point - This is not in the Elisp manual "Tips for
>> documentation strings", is it worth a patch for this?
>
> That section is not specific to the Emacs development.  Our
> conventions, which are specific to the Emacs development project, are
> in CONTRIBUTE.

I stand corrected, indeed, I was looking in the wrong place.

>> > Please add a :version tag to all defcustom's and defface's.
>> 
>> I cannot locate this in the elisp manual, Appendix D "Tips and
>> conventions", or in the defcustom and defface sections, should this be
>> documented and how?
>
> It's already documented in CONTRIBUTE.  Again, other Lisp programs out
> there are free not to follow these guidelines (and, in fact, :version
> might not have any useful effect in 3rd party packages), it is our own
> convention whose purpose is to help "M-x customize-changed" do its job
> well.

Understood.

Defcustom is covered below
"
New defcustom's should always have a ':version' tag stating the first
Emacs version in which they will appear.  Likewise with defcustom's
whose value is changed -- update their ':version' tag.
"

Is defface conceptually close enough not to warrant an extra para?